Subject: Re: [PATCH 1/2] workqueue: Have 'alloc_workqueue()' like macros accept a format specifier

From: Leon Romanovsky <[email-masked]>
Date: Thu, 22 Apr 2021 21:00:20 +0300

On Thu, Apr 22, 2021 at 10:12:33AM -0700, Bart Van Assche wrote:
> On 4/22/21 5:24 AM, Jason Gunthorpe wrote:
> > On Mon, Apr 19, 2021 at 01:02:34PM -0700, Bart Van Assche wrote:
> >> On 4/18/21 11:36 PM, Marion et Christophe JAILLET wrote:
> >>> The list in To: is the one given by get_maintainer.pl. Usualy, I only
> >>> put the ML in Cc: I've run the script on the 2 patches of the serie
> >>> and merged the 2 lists. Everyone is in the To: of the cover letter
> >>> and of the 2 patches.
> >>>
> >>> If Théo is "Tejun Heo" (  (maintainer:WORKQUEUE) ), he is already in
> >>> the To: line.
> >> Linus wants to see a "Cc: ${maintainer}" tag in patches that he receives
> >> from a maintainer and that modify another subsystem than the subsystem
> >> maintained by that maintainer.
> > 
> > Really? Do you remember a lore link for this?
> 
> Last time I saw Linus mentioning this was a few months ago.
> Unfortunately I cannot find that message anymore.
> 
> > Generally I've been junking the CC lines (vs Andrew at the other
> > extreme that often has 10's of CC lines)
> 
> Most entries in the MAINTAINERS file have one to three email addresses
> so I'm surprised to read that Cc-ing maintainer(s) could result in tens
> of Cc lines?

git log mm/

commit 2b8305260fb37fc20e13f71e13073304d0a031c8
Author: Alexander Potapenko <[email-masked]>
Date:   Thu Feb 25 17:19:21 2021 -0800

    kfence, kasan: make KFENCE compatible with KASAN

    Make KFENCE compatible with KASAN. Currently this helps test KFENCE
    itself, where KASAN can catch potential corruptions to KFENCE state, or
    other corruptions that may be a result of freepointer corruptions in the
    main allocators.

    [[email-masked]: merge fixup]
    [[email-masked]: untag addresses for KFENCE]
      Link: https://lkml.kernel.org/r/9d[email-masked]

    Link: https://lkml.kernel.org/r/[email-masked]
    Signed-off-by: Marco Elver <[email-masked]>
    Signed-off-by: Alexander Potapenko <[email-masked]>
    Signed-off-by: Andrey Konovalov <[email-masked]>
    Reviewed-by: Dmitry Vyukov <[email-masked]>
    Reviewed-by: Jann Horn <[email-masked]>
    Co-developed-by: Marco Elver <[email-masked]>
    Cc: Andrey Konovalov <[email-masked]>
    Cc: Andrey Ryabinin <[email-masked]>
    Cc: Andy Lutomirski <[email-masked]>
    Cc: Borislav Petkov <[email-masked]>
    Cc: Catalin Marinas <[email-masked]>
    Cc: Christopher Lameter <[email-masked]>
    Cc: Dave Hansen <[email-masked]>
    Cc: David Rientjes <[email-masked]>
    Cc: Eric Dumazet <[email-masked]>
    Cc: Greg Kroah-Hartman <[email-masked]>
    Cc: Hillf Danton <[email-masked]>
    Cc: "H. Peter Anvin" <[email-masked]>
    Cc: Ingo Molnar <[email-masked]>
    Cc: Joern Engel <[email-masked]>
    Cc: Jonathan Corbet <[email-masked]>
    Cc: Joonsoo Kim <[email-masked]>
    Cc: Kees Cook <[email-masked]>
    Cc: Mark Rutland <[email-masked]>
    Cc: Paul E. McKenney <[email-masked]>
    Cc: Pekka Enberg <[email-masked]>
    Cc: Peter Zijlstra <[email-masked]>
    Cc: SeongJae Park <[email-masked]>
    Cc: Thomas Gleixner <[email-masked]>
    Cc: Vlastimil Babka <[email-masked]>
    Cc: Will Deacon <[email-masked]>
    Signed-off-by: Andrew Morton <[email-masked]>
    Signed-off-by: Linus Torvalds <[email-masked]>

> Thanks,
> Bart.